<?php

include('../common/parseargs.php');

$USAGE=" --soft=<softlimit%> --hard=<hardlimit%>";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}

# arguments
$HARD=$args_array['hard'];
$SOFT=$args_array['soft'];

if (strlen($HARD) < 1) {
	echo "ERROR: --hard=<hardlimit%> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($SOFT) < 1) {
	echo "ERROR: --soft=<softlimit%> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

try{

	$client = new soapclient("https://$HOST:$PORT/Configuration?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->setDiskQuotas(array('softQuota'=>"$SOFT", 'hardQuota'=>"$HARD")) ;
	echo "Successfully executed setDiskQuotas.php\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}

exit(0);

?> 
