<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --groupid=<groupid> [optionalparams: --groupname=<groupname> --groupdesc=<groupdesc> --userids=<userids> ]";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$GROUPNAME=$args_array['groupname'];
$GROUPDESC=$args_array['groupdesc'];
$GROUPID=$args_array['groupid'];
$USERIDS=$args_array['userids'];

if(!$GROUPID)
{
	echo "ERROR: --agentid=<groupid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$groupObj = getGroups($USER,$PASS,$HOST,$PORT);

foreach($groupObj->return as $tmp)
{
	if($tmp->id == $GROUPID)
	{
		$group = $tmp;
		break;
	}
}

if($GROUPNAME)
{
	$group->name = $GROUPNAME;
}

if($GROUPDESC)
{
	$group->description = $GROUPDESC;
}

if($USERIDS)
{
	$group->userids = $USERIDS;
}

try{
	$client = new soapclient("https://$HOST:$PORT/Group?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('Group'=>'Group')
		)
	);

	$client->updateGroup(array('group'=>$group)) ;

	echo "Successfully executed updateGroup\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
